%define upstream_name    Crypt-OpenSSL-DSA
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Digital Signature Algorithm using OpenSSL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
Crypt::OpenSSL::DSA implements the DSA 
(Digital Signature Algorithm) signature verification system.

It is a thin XS wrapper to the DSA functions contained in the 
OpenSSL crypto library, located at http://www.openssl.org

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# perl path hack
find . -type f | xargs %__perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%__perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.200.0-8.mga10
+ Revision: 2225771
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.200.0-7.mga10
+ Revision: 2087895
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.200.0-6.mga10
+ Revision: 2011419
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.200.0-5.mga9
+ Revision: 1861629
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.200.0-4.mga9
+ Revision: 1796578
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.200.0-3.mga9
+ Revision: 1747923
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 0.200.0-2.mga9
+ Revision: 1726480
- Rebuild for perl 5.34

* Mon Mar 22 2021 tv <tv> 0.200.0-1.mga9
+ Revision: 1707267
- update to 0.20

* Wed Jun 17 2020 umeabot <umeabot> 0.190.0-8.mga8
+ Revision: 1594375
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.190.0-7.mga8
+ Revision: 1529438
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.190.0-6.mga8
+ Revision: 1433457
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.190.0-5.mga7
+ Revision: 1292552
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.190.0-4.mga7
+ Revision: 1248607
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.190.0-3.mga7
+ Revision: 1163647
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.190.0-2.mga7
+ Revision: 1148703
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 0.190.0-1.mga7
+ Revision: 1133303
- update to 0.19

* Sat Jul 22 2017 neoclust <neoclust> 0.150.0-4.mga7
+ Revision: 1126729
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1024522
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 956973
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 843924
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-7.mga5
+ Revision: 739217
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 684047
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.140.0-5.mga5
+ Revision: 630958
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-4.mga4
+ Revision: 524235
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.140.0-3.mga4
+ Revision: 430608
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 364894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 316044
- update to 0.14

* Wed May 30 2012 jquelin <jquelin> 0.130.0-5.mga3
+ Revision: 250398
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.130.0-4.mga2
+ Revision: 103842
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.130.0-3.mga1
+ Revision: 10411
- imported package perl-Crypt-OpenSSL-DSA


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-3mdv2011.0
+ Revision: 555717
- rebuild

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 0.130.0-2mdv2010.1
+ Revision: 534174
- rebuild

* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 410155
- fixing error due to -Werror=format-security
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.13-6mdv2009.0
+ Revision: 256273
- rebuild

* Thu Jan 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-4mdv2008.1
+ Revision: 157725
- Rebuild for new perl

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.13-2mdv2008.1
+ Revision: 131425
- kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdv2007.0
- Rebuild

* Mon Nov 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- New release 0.13
- fix sources URL
- spec cleanup

* Tue Jun 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-2mdk
- Fix Url according to Perl policy( thanks guillomovitch )

* Tue Jun 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-1mdk
- 0.12
- Fix Description
- Fix Source url
- Fix Url
- %%mkrel

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.11-6mdk
- Rebuild for new perl

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 0.11-5mdk
- do not own standard dir
- [DIRM]

